Do not miss any Lone Wolf Technologies Hub changes, ever again

Subscribe to the Lone Wolf Technologies Hub changelog to be up to date on recent changes.

RSS

Changelog

Last update:
PropertyBaseGO API
135 structure changes including:
135 Breaking changes
124 Modifications
11 Removals
Modified 124 Breaking
DELETE /developments/{development_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
DELETE /developments/{development_id}/development_addresses/{development_address_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses/{development_address_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_address_id path parameter Added
DELETE /developments/{development_id}/development_floor_plans/{development_floor_plan_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans/{development_floor_plan_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_floor_plan_id path parameter Added
DELETE /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_listing_sheet_id path parameter Added
DELETE /developments/{development_id}/development_pictures/{development_picture_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures/{development_picture_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_picture_id path parameter Added
DELETE /leads/{id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
DELETE /leads/{id}/favorite_properties/{favorite_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/favorite_properties/{favorite_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • favorite_id path parameter Added
DELETE /leads/{id}/lead_notes/{note_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_notes/{note_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • note_id path parameter Added
DELETE /leads/{id}/lead_relationships/{relationship_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_relationships/{relationship_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • relationship_id path parameter Added
DELETE /market_reports/{id}
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
DELETE /marketing_lists/{id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
DELETE /marketing_lists/{id}/agents/{agent_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents/{agent_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • agent_id path parameter Added
DELETE /marketing_lists/{id}/contacts/{contact_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts/{contact_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • contact_id path parameter Added
DELETE /marketing_lists/{id}/employees/{employee_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees/{employee_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • employee_id path parameter Added
GET /agents
  • Path went from /agents/{id} to /agents (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /contact_notes
  • Path went from /contact_notes/{id} to /contact_notes (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /contacts
  • Path went from /contacts/{id} to /contacts (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /development_categories
  • Path went from /development_categories/{development_category_id} to /development_categories (same operationId)
    Breaking
  • Path
  • development_category_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /developments
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments (same operationId)
    Breaking
  • Path
  • development_id, development_price_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /developments/{development_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_addresses
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_addresses/{development_address_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses/{development_address_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_address_id path parameter Added
GET /developments/{development_id}/development_agents
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_agents (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_area_profiles
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_area_profiles (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_categories
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_categories (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_floor_plans
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_floor_plans/{development_floor_plan_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans/{development_floor_plan_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_floor_plan_id path parameter Added
GET /developments/{development_id}/development_listing_sheets
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_listing_sheet_id path parameter Added
GET /developments/{development_id}/development_pictures
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_pictures/{development_picture_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures/{development_picture_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_picture_id path parameter Added
GET /developments/{development_id}/development_prices
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_prices (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /dynamic_forms
  • Path went from /dynamic_forms/{id}/form_submissions to /dynamic_forms (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /dynamic_forms/{id}
  • Path went from /dynamic_forms/{id}/form_submissions to /dynamic_forms/{id} (same operationId)
    Breaking
GET /employees
  • Path went from /employees/{id} to /employees (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /events
  • Path went from /events/{id} to /events (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /leads
  • Path went from /leads/{id}/showings/{showing_id} to /leads (same operationId)
    Breaking
  • Path
  • id, showing_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /leads/{id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/contact_forms
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/contact_forms (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/email_friends
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/email_friends (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/favorite_properties
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/favorite_properties (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/favorite_properties/{favorite_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/favorite_properties/{favorite_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • favorite_id path parameter Added
GET /leads/{id}/favorite_rental_properties
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/favorite_rental_properties (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/inquiries
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/inquiries (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/inquiries/{inquiry_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/inquiries/{inquiry_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • inquiry_id path parameter Added
GET /leads/{id}/lead_notes
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_notes (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/lead_notes/{note_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_notes/{note_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • note_id path parameter Added
GET /leads/{id}/lead_properties
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_properties (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/lead_relationships
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_relationships (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/lead_relationships/{relationship_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_relationships/{relationship_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • relationship_id path parameter Added
GET /leads/{id}/market_report_updates
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/market_report_updates (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/market_report_updates/{update_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/market_report_updates/{update_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • update_id path parameter Added
GET /leads/{id}/property_notes
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/property_notes (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/property_views
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/property_views (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/property_views/{view_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/property_views/{view_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • view_id path parameter Added
GET /leads/{id}/public_activity
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/public_activity (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/rental_property_notes
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_property_notes (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/rental_property_views
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_property_views (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/rental_saved_searches
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_saved_searches (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/rental_searches
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_searches (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/searches
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/searches (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/showings
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/showings (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /market_reports
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports (same operationId)
    Breaking
  • Path
  • id, update_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /market_reports/{id}
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /market_reports/{id}/market_report_updates
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id}/market_report_updates (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists (same operationId)
    Breaking
  • Path
  • id, lead_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /marketing_lists/{id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/agents
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/agents/{agent_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents/{agent_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • agent_id path parameter Added
GET /marketing_lists/{id}/contacts
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/contacts/{contact_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts/{contact_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • contact_id path parameter Added
GET /marketing_lists/{id}/employees
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/employees/{employee_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees/{employee_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • employee_id path parameter Added
GET /marketing_lists/{id}/leads
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/leads (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /messages
  • Path went from /messages/{id} to /messages (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /offices
  • Path went from /offices/{id} to /offices (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /saved_searches
  • Path went from /saved_searches/data to /saved_searches (same operationId)
    Breaking
GET /saved_searches/{id}
  • Path went from /saved_searches/data to /saved_searches/{id} (same operationId)
    Breaking
  • Query
  • page, per_page query parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • id path parameter Added
GET /tasks
  • Path went from /tasks/{id} to /tasks (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /teams
  • Path went from /teams/{id} to /teams (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
PATCH /developments/{development_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_addresses/{development_address_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses/{development_address_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_address_id path parameter Added
PATCH /developments/{development_id}/development_agents/add_agents
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_agents/add_agents (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_agents/remove_agents
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_agents/remove_agents (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_area_profiles/add_area_profiles
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_area_profiles/add_area_profiles (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_area_profiles/remove_area_profiles
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_area_profiles/remove_area_profiles (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_categories/add_categories
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_categories/add_categories (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_categories/remove_categories
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_categories/remove_categories (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_floor_plans/{development_floor_plan_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans/{development_floor_plan_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_floor_plan_id path parameter Added
PATCH /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_listing_sheet_id path parameter Added
PATCH /developments/{development_id}/development_pictures/{development_picture_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures/{development_picture_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_picture_id path parameter Added
PATCH /leads/{id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /leads/{id}/favorite_properties/{favorite_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/favorite_properties/{favorite_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • favorite_id path parameter Added
PATCH /leads/{id}/lead_notes/{note_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_notes/{note_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • note_id path parameter Added
PATCH /leads/{id}/lead_relationships/{relationship_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_relationships/{relationship_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • relationship_id path parameter Added
PATCH /market_reports/{id}
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /marketing_lists/{id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /marketing_lists/{id}/agents/{agent_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents/{agent_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • agent_id path parameter Added
PATCH /marketing_lists/{id}/contacts/{contact_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts/{contact_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • contact_id path parameter Added
PATCH /marketing_lists/{id}/employees/{employee_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees/{employee_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • employee_id path parameter Added
POST /developments
  • Path went from /developments/{development_id}/development_prices to /developments (same operationId)
    Breaking
  • Path
  • development_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /developments/{development_id}/development_addresses
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_addresses (same operationId)
    Breaking
POST /developments/{development_id}/development_floor_plans
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_floor_plans (same operationId)
    Breaking
POST /developments/{development_id}/development_listing_sheets
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_listing_sheets (same operationId)
    Breaking
POST /developments/{development_id}/development_pictures
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_pictures (same operationId)
    Breaking
POST /leads
  • Path went from /leads/{id}/showings to /leads (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /leads/{id}/email_friends
  • Path went from /leads/{id}/showings to /leads/{id}/email_friends (same operationId)
    Breaking
POST /leads/{id}/favorite_properties
  • Path went from /leads/{id}/showings to /leads/{id}/favorite_properties (same operationId)
    Breaking
POST /leads/{id}/inquiries
  • Path went from /leads/{id}/showings to /leads/{id}/inquiries (same operationId)
    Breaking
POST /leads/{id}/lead_notes
  • Path went from /leads/{id}/showings to /leads/{id}/lead_notes (same operationId)
    Breaking
POST /leads/{id}/lead_relationships
  • Path went from /leads/{id}/showings to /leads/{id}/lead_relationships (same operationId)
    Breaking
POST /leads/{id}/market_report_updates
  • Path went from /leads/{id}/showings to /leads/{id}/market_report_updates (same operationId)
    Breaking
POST /leads/{id}/property_views
  • Path went from /leads/{id}/showings to /leads/{id}/property_views (same operationId)
    Breaking
POST /leads/{id}/searches
  • Path went from /leads/{id}/showings to /leads/{id}/searches (same operationId)
    Breaking
POST /market_reports
  • Path went from /market_reports/{id}/market_report_updates to /market_reports (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /marketing_lists
  • Path went from /marketing_lists/{id}/leads to /marketing_lists (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /marketing_lists/{id}/add_member
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/add_member (same operationId)
    Breaking
POST /marketing_lists/{id}/agents
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/agents (same operationId)
    Breaking
POST /marketing_lists/{id}/contacts
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/contacts (same operationId)
    Breaking
POST /marketing_lists/{id}/employees
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/employees (same operationId)
    Breaking
PUT /agents/{id}/deactivate
  • Path went from /agents/{id}/reactivate to /agents/{id}/deactivate (same operationId)
    Breaking
PUT /employees/{id}/deactivate
  • Path went from /employees/{id}/reactivate to /employees/{id}/deactivate (same operationId)
    Breaking
PUT /offices/{id}/deactivate
  • Path went from /offices/{id}/reactivate to /offices/{id}/deactivate (same operationId)
    Breaking
PUT /teams/{id}/deactivate
  • Path went from /teams/{id}/reactivate to /teams/{id}/deactivate (same operationId)
    Breaking
Removed 11 Breaking
GET /docs/appendix/appendix-a
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-b
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-c
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-d
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-e
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-f
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-g
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-h
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-i
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-j
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-k
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PropertyBaseGO API
135 structure changes including:
124 Breaking changes
11 Additions
124 Modifications
Modified 124 Breaking
GET /marketing_lists/{id}/leads
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/leads (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /messages
  • Path went from /messages/{id} to /messages (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /offices
  • Path went from /offices/{id} to /offices (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /saved_searches
  • Path went from /saved_searches/data to /saved_searches (same operationId)
    Breaking
GET /saved_searches/{id}
  • Path went from /saved_searches/data to /saved_searches/{id} (same operationId)
    Breaking
  • Query
  • page, per_page query parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • id path parameter Added
GET /tasks
  • Path went from /tasks/{id} to /tasks (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /teams
  • Path went from /teams/{id} to /teams (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
PATCH /developments/{development_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_addresses/{development_address_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses/{development_address_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_address_id path parameter Added
PATCH /developments/{development_id}/development_agents/add_agents
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_agents/add_agents (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_agents/remove_agents
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_agents/remove_agents (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_area_profiles/add_area_profiles
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_area_profiles/add_area_profiles (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_area_profiles/remove_area_profiles
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_area_profiles/remove_area_profiles (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_categories/add_categories
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_categories/add_categories (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_categories/remove_categories
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_categories/remove_categories (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_floor_plans/{development_floor_plan_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans/{development_floor_plan_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_floor_plan_id path parameter Added
PATCH /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_listing_sheet_id path parameter Added
GET /leads/{id}/rental_property_notes
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_property_notes (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/rental_property_views
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_property_views (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/rental_saved_searches
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_saved_searches (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/rental_searches
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_searches (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/searches
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/searches (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/showings
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/showings (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /market_reports
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports (same operationId)
    Breaking
  • Path
  • id, update_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /market_reports/{id}
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /market_reports/{id}/market_report_updates
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id}/market_report_updates (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists (same operationId)
    Breaking
  • Path
  • id, lead_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /marketing_lists/{id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/agents
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/agents/{agent_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents/{agent_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • agent_id path parameter Added
GET /marketing_lists/{id}/contacts
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/contacts/{contact_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts/{contact_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • contact_id path parameter Added
GET /marketing_lists/{id}/employees
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/employees/{employee_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees/{employee_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • employee_id path parameter Added
POST /leads/{id}/favorite_properties
  • Path went from /leads/{id}/showings to /leads/{id}/favorite_properties (same operationId)
    Breaking
POST /leads/{id}/inquiries
  • Path went from /leads/{id}/showings to /leads/{id}/inquiries (same operationId)
    Breaking
POST /leads/{id}/lead_notes
  • Path went from /leads/{id}/showings to /leads/{id}/lead_notes (same operationId)
    Breaking
POST /leads/{id}/lead_relationships
  • Path went from /leads/{id}/showings to /leads/{id}/lead_relationships (same operationId)
    Breaking
POST /leads/{id}/market_report_updates
  • Path went from /leads/{id}/showings to /leads/{id}/market_report_updates (same operationId)
    Breaking
POST /leads/{id}/property_views
  • Path went from /leads/{id}/showings to /leads/{id}/property_views (same operationId)
    Breaking
POST /leads/{id}/searches
  • Path went from /leads/{id}/showings to /leads/{id}/searches (same operationId)
    Breaking
POST /market_reports
  • Path went from /market_reports/{id}/market_report_updates to /market_reports (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /marketing_lists
  • Path went from /marketing_lists/{id}/leads to /marketing_lists (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /marketing_lists/{id}/add_member
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/add_member (same operationId)
    Breaking
POST /marketing_lists/{id}/agents
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/agents (same operationId)
    Breaking
POST /marketing_lists/{id}/contacts
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/contacts (same operationId)
    Breaking
POST /marketing_lists/{id}/employees
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/employees (same operationId)
    Breaking
PUT /agents/{id}/deactivate
  • Path went from /agents/{id}/reactivate to /agents/{id}/deactivate (same operationId)
    Breaking
PUT /employees/{id}/deactivate
  • Path went from /employees/{id}/reactivate to /employees/{id}/deactivate (same operationId)
    Breaking
PUT /offices/{id}/deactivate
  • Path went from /offices/{id}/reactivate to /offices/{id}/deactivate (same operationId)
    Breaking
PUT /teams/{id}/deactivate
  • Path went from /teams/{id}/reactivate to /teams/{id}/deactivate (same operationId)
    Breaking
PATCH /developments/{development_id}/development_pictures/{development_picture_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures/{development_picture_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_picture_id path parameter Added
PATCH /leads/{id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /leads/{id}/favorite_properties/{favorite_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/favorite_properties/{favorite_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • favorite_id path parameter Added
PATCH /leads/{id}/lead_notes/{note_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_notes/{note_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • note_id path parameter Added
PATCH /leads/{id}/lead_relationships/{relationship_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_relationships/{relationship_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • relationship_id path parameter Added
PATCH /market_reports/{id}
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /marketing_lists/{id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /marketing_lists/{id}/agents/{agent_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents/{agent_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • agent_id path parameter Added
PATCH /marketing_lists/{id}/contacts/{contact_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts/{contact_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • contact_id path parameter Added
PATCH /marketing_lists/{id}/employees/{employee_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees/{employee_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • employee_id path parameter Added
POST /developments
  • Path went from /developments/{development_id}/development_prices to /developments (same operationId)
    Breaking
  • Path
  • development_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /developments/{development_id}/development_addresses
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_addresses (same operationId)
    Breaking
POST /developments/{development_id}/development_floor_plans
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_floor_plans (same operationId)
    Breaking
POST /developments/{development_id}/development_listing_sheets
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_listing_sheets (same operationId)
    Breaking
POST /developments/{development_id}/development_pictures
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_pictures (same operationId)
    Breaking
POST /leads
  • Path went from /leads/{id}/showings to /leads (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /leads/{id}/email_friends
  • Path went from /leads/{id}/showings to /leads/{id}/email_friends (same operationId)
    Breaking
GET /developments/{development_id}/development_listing_sheets
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_floor_plans/{development_floor_plan_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans/{development_floor_plan_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_floor_plan_id path parameter Added
GET /developments/{development_id}/development_floor_plans
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_categories
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_categories (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_area_profiles
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_area_profiles (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_agents
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_agents (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_addresses/{development_address_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses/{development_address_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_address_id path parameter Added
GET /developments/{development_id}/development_addresses
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments (same operationId)
    Breaking
  • Path
  • development_id, development_price_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /development_categories
  • Path went from /development_categories/{development_category_id} to /development_categories (same operationId)
    Breaking
  • Path
  • development_category_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /contacts
  • Path went from /contacts/{id} to /contacts (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /contact_notes
  • Path went from /contact_notes/{id} to /contact_notes (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /agents
  • Path went from /agents/{id} to /agents (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
DELETE /marketing_lists/{id}/employees/{employee_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees/{employee_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • employee_id path parameter Added
DELETE /marketing_lists/{id}/contacts/{contact_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts/{contact_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • contact_id path parameter Added
DELETE /marketing_lists/{id}/agents/{agent_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents/{agent_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • agent_id path parameter Added
DELETE /marketing_lists/{id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
DELETE /market_reports/{id}
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
DELETE /leads/{id}/lead_relationships/{relationship_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_relationships/{relationship_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • relationship_id path parameter Added
DELETE /leads/{id}/lead_notes/{note_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_notes/{note_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • note_id path parameter Added
DELETE /leads/{id}/favorite_properties/{favorite_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/favorite_properties/{favorite_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • favorite_id path parameter Added
DELETE /leads/{id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
DELETE /developments/{development_id}/development_pictures/{development_picture_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures/{development_picture_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_picture_id path parameter Added
DELETE /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_listing_sheet_id path parameter Added
DELETE /developments/{development_id}/development_floor_plans/{development_floor_plan_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans/{development_floor_plan_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_floor_plan_id path parameter Added
DELETE /developments/{development_id}/development_addresses/{development_address_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses/{development_address_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_address_id path parameter Added
DELETE /developments/{development_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/public_activity
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/public_activity (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/property_views/{view_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/property_views/{view_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • view_id path parameter Added
GET /leads/{id}/property_views
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/property_views (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/property_notes
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/property_notes (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/market_report_updates/{update_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/market_report_updates/{update_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • update_id path parameter Added
GET /leads/{id}/market_report_updates
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/market_report_updates (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/lead_relationships/{relationship_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_relationships/{relationship_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • relationship_id path parameter Added
GET /leads/{id}/lead_relationships
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_relationships (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/lead_properties
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_properties (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/lead_notes/{note_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_notes/{note_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • note_id path parameter Added
GET /leads/{id}/lead_notes
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_notes (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/inquiries/{inquiry_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/inquiries/{inquiry_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • inquiry_id path parameter Added
GET /leads/{id}/inquiries
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/inquiries (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_listing_sheet_id path parameter Added
GET /developments/{development_id}/development_pictures
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_pictures/{development_picture_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures/{development_picture_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_picture_id path parameter Added
GET /developments/{development_id}/development_prices
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_prices (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /dynamic_forms
  • Path went from /dynamic_forms/{id}/form_submissions to /dynamic_forms (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /dynamic_forms/{id}
  • Path went from /dynamic_forms/{id}/form_submissions to /dynamic_forms/{id} (same operationId)
    Breaking
GET /employees
  • Path went from /employees/{id} to /employees (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /events
  • Path went from /events/{id} to /events (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /leads
  • Path went from /leads/{id}/showings/{showing_id} to /leads (same operationId)
    Breaking
  • Path
  • id, showing_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /leads/{id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/contact_forms
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/contact_forms (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/email_friends
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/email_friends (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/favorite_properties
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/favorite_properties (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/favorite_properties/{favorite_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/favorite_properties/{favorite_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • favorite_id path parameter Added
GET /leads/{id}/favorite_rental_properties
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/favorite_rental_properties (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
Added 11
GET /docs/appendix/appendix-a
GET /docs/appendix/appendix-b
GET /docs/appendix/appendix-c
GET /docs/appendix/appendix-d
GET /docs/appendix/appendix-e
GET /docs/appendix/appendix-f
GET /docs/appendix/appendix-g
GET /docs/appendix/appendix-h
GET /docs/appendix/appendix-i
GET /docs/appendix/appendix-j
GET /docs/appendix/appendix-k
HomeSpotter API
5 structure changes including:
5 Modifications
Modified 5
GET /dashboard/integration/all/{partner_short_code}
  • Operation is no longer deprecated
GET /dashboard/integration/campaign/{partner_short_code}/v1
  • Operation is no longer deprecated
GET /dashboard/integration/dailystats/{partner_short_code}/{date}/v1
  • Operation is no longer deprecated
GET /dashboard/integration/details/{partner_short_code}/v1
  • Operation is no longer deprecated
GET /dashboard/integration/update/{partner_short_code}/v1
  • Operation is no longer deprecated
HomeSpotter API
4 structure changes including:
4 Additions
Added 4
GET /dashboard/integration/campaign/{partner_short_code}/v1
GET /dashboard/integration/dailystats/{partner_short_code}/{date}/v1
GET /dashboard/integration/details/{partner_short_code}/v1
GET /dashboard/integration/update/{partner_short_code}/v1
HomeSpotter API
1 structure change including:
1 Addition
Added 1
GET /dashboard/integration/all/{partner_short_code}
Transact API
1.0.1
1 structure change including:
1 Breaking change
1 Removal
Removed 1 Breaking
POST /platform/v1/clients/{clientId}/users/invite
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
TransactionDesk API
1 structure change including:
1 Modification
Modified 1 Breaking
POST /oauth/token
  • Body
  • application/x-www-form-urlencoded content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • grant_type, client_id, client_secret, code, redirect_uri query parameters Added
86 structure changes including:
32 Breaking changes
54 Additions
32 Removals
Removed 32 Breaking
Bearer authauthentication method
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
Lw subscription keyauthentication method
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /authentisign/v3/api/v3/users/{userId}/signings/{key}/documents
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /authentisign/v3/api/v3/users/{userId}/signings/{key}/documents/s
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /authentisign/v3/api/v3/users/{userId}/signings/{key}/documents/sc
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /authentisign/v3/api/v3/{encryptedDocumentId}/d
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /forms-design/api/Users/{userId}/forms
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /forms-design/api/Users/{userId}/forms/{Libkey}/{key}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /forms-design/api/Users/{userId}/images/{key}/{pageNum}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /forms-design/api/Users/{userId}/libraries
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /forms-editor/api/v1/users/{userId}/FormPackages/{Libkey}/forms/{key}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /forms-editor/api/v1/users/{userId}/FormPackages/{key}/forms
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /transact-workflow/v1/Users/{userId}/Contacts
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /transact-workflow/v1/Users/{userId}/Contacts/{key}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /transact-workflow/v1/Users/{userId}/Folders
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /transact-workflow/v1/Users/{userId}/Folders/{key}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /transact-workflow/v1/users/{userId}/documents
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /transact-workflow/v1/Users/{userId}/Offers
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /transact-workflow/v1/Folders
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /transact-workflow/v1/Contacts
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /forms-editor/api/v1/users/{userId}/FormPackages/{key}/forms
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /authentisign/v3/users/{userId}/signings
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /authentisign/v3/api/v3/users/{userId}/participants/batch
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PATCH /transact-workflow/v1/Users/{userId}/Offers/{key}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PATCH /transact-workflow/v1/Users/{userId}/Folders/{key}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PATCH /transact-workflow/v1/Users/{userId}/Contacts/{key}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PATCH /forms-editor/api/v1/users/{userId}/FormPackages/{Libkey}/forms/{key}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /transact-workflow/v1/users/{userId}/documents/{key}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /transact-workflow/v1/users/{userId}/documents/file/{key}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /transact-workflow/v1/users/{userId}/documents
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /transact-workflow/v1/Users/{userId}/Offers/{key}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /transact-workflow/v1/Users/{userId}/Offers
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
Added 54
POST /oauth/token
POST /platform/v1/clients/{clientId}/users/invite
POST /transact-workflow/v1/Contacts
POST /transact-workflow/v1/Documents
POST /transact-workflow/v1/Folders
POST /transact-workflow/v1/Offers
POST /transact-workflow/v1/Transactions
POST /transact-workflow/v1/users/{userId}/Offers
POST /transact-workflow/v1/users/{userId}/ShareGroup
POST /transact-workflow/v1/users/{userId}/documents
PUT /transact-workflow/v1/users/{userId}/ShareGroup/{shareGroupId}
POST /forms-editor/api/v1/users/{userId}/FormPackages/{transactionId}/forms
GET /transact-workflow/v1/users/{userId}/Contacts
GET /platform/v1/clients/{clientId}/users
GET /platform/v1/clients/{clientId}/offices
GET /forms-editor/api/v1/users/{userId}/FormPackages/{transactionId}/forms/{formId}
GET /forms-editor/api/v1/users/{userId}/FormPackages/{transactionId}/forms
GET /forms-design/api/users/{userId}/libraries
GET /forms-design/api/users/{userId}/images/{imageId}/{pageNum}
GET /forms-design/api/users/{userId}/forms/{libId}/{formId}
GET /forms-design/api/users/{userId}/forms
GET /authentisign/v3/users/{userId}/signings
GET /authentisign/v3/api/v3/{encryptedDocumentId}/d
GET /authentisign/v3/api/v3/users/{userId}/sso/signing/{signingId}
GET /authentisign/v3/api/v3/users/{userId}/signings/{signingId}/documents/sc
GET /authentisign/v3/api/v3/users/{userId}/signings/{signingId}/documents/s
GET /authentisign/v3/api/v3/users/{userId}/signings/{signingId}/documents
DELETE /transact-workflow/v1/users/{userId}/transactions/{transactionId}
DELETE /transact-workflow/v1/users/{userId}/documents/{documentId}
DELETE /transact-workflow/v1/users/{userId}/Offers/{offerId}
DELETE /transact-workflow/v1/users/{userId}/Folders/{folderId}
DELETE /transact-workflow/v1/users/{userId}/Contacts/{contactId}
Bearer auth & Subscription keyauthentication method
POST /authentisign/v3/users/{userId}/signings
POST /authentisign/v3/api/v3/users/{userId}/participants/batch
PATCH /transact-workflow/v1/users/{userId}/transactions/{transactionId}
PATCH /transact-workflow/v1/users/{userId}/Offers/{offerId}
PATCH /transact-workflow/v1/users/{userId}/Folders/{folderId}
PATCH /transact-workflow/v1/users/{userId}/Contacts/{contactId}
PATCH /forms-editor/api/v1/users/{userId}/FormPackages/{transactionId}/forms/{formId}
GET /transact-workflow/v1/users/{userId}/transactions/{transactionId}
GET /transact-workflow/v1/users/{userId}/transactions
GET /transact-workflow/v1/users/{userId}/templates/{templateId}
GET /transact-workflow/v1/users/{userId}/templates
GET /transact-workflow/v1/users/{userId}/documents/{documentId}
GET /transact-workflow/v1/users/{userId}/documents/file/{documentId}
GET /transact-workflow/v1/users/{userId}/documents
GET /transact-workflow/v1/users/{userId}/ShareGroup/{shareGroupId}
GET /transact-workflow/v1/users/{userId}/ShareGroup
GET /transact-workflow/v1/users/{userId}/Offers/{offerId}
GET /transact-workflow/v1/users/{userId}/Offers
GET /transact-workflow/v1/users/{userId}/Folders/{folderId}
GET /transact-workflow/v1/users/{userId}/Folders
GET /transact-workflow/v1/users/{userId}/Contacts/{contactId}
1 structure change including:
1 Addition
Added 1
GET /transactions/{transactionId}/get-authentisign-url
TransactionDesk API
6 structure changes including:
6 Additions
Added 6
DELETE /v2/transactions/{transactionId}/forms/{id}
GET /v2/formlibraries
GET /v2/formlibraries/{folderId}
GET /v2/formlibraries/{folderId}/forms/{formLib}
GET /v2/users
POST /v2/transactions/{transactionId}/forms
6 structure changes including:
6 Modifications
Modified 6
PATCH /transact-workflow/v1/Users/{userId}/Contacts/{key}
  • Path
  • userId, key path parameters Added
PATCH /transact-workflow/v1/Users/{userId}/Folders/{key}
  • Path
  • userId, key path parameters Added
PATCH /transact-workflow/v1/Users/{userId}/Offers/{key}
  • Path
  • userId, key path parameters Added
POST /forms-editor/api/v1/users/{userId}/FormPackages/{key}/forms
  • Path
  • userId, key path parameters Added
POST /transact-workflow/v1/Users/{userId}/Offers
  • Path
  • userId path parameter Added
POST /transact-workflow/v1/users/{userId}/documents
  • Path
  • userId path parameter Added